abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 1
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 24
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 785 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Problem -- Eroaster

24.3.2004 16:07 coques | skóre: 21 | blog: FailSystem
Problem -- Eroaster
Přečteno: 74×
Traceback (most recent call last):
  File "/usr/bin/eroaster", line 9, in ?
    from main import Application
  File "/usr/lib/eroaster/main.py", line 34, in ?
    from gtk import GtkVBox, GtkNotebook, GtkFrame, GtkLabel, GtkHBox, GtkTable
ImportError: cannot import name GtkVBox
mozem robit co viem, no pri spusteni mojho oblubeneho napal. programu vidim tieto riadky a eroaster samozrejme nenabehne...

skusal som googlovat, prekompilovat nejake kniznice... nechcem to rozhasit viac ako to vyzerat byt, tak sa radsej spytam .../dist. Gentoo/- - -

prosim, viete ma navigovat kde by mohol byt problem???
sudo apt-get install upstart-sysv

Odpovědi

24.3.2004 18:07 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Problem -- Eroaster
To vypadá na zmatení verzí.

GtkVBox, GtkNotebook, GtkFrame, etc., se jmenovaly třídy v Pythoním API ke Gtk+1.

Nicméně v Pythoním API ke Gtk+2 se jmenují jen VBox, Notebook, Frame, etc.

Modul se ovšem jmenuje obvykle v obou případech stejně, gtk, což trochu komplikuje zjišťování, který se vlastně používá... Jak dostat do Gentoo obě pygtk, aby se navíc navzájem nebily, to ti ale jako negentooista asi neporadím.

P.S.: Báječný titulek. Proč je v něm Problem (to je snad jasné) a ne Gtk, Python, ...? Přečetl jsem ten dotaz náhodou.
24.3.2004 19:36 coques | skóre: 21 | blog: FailSystem
Rozbalit Rozbalit vše Problem -- Eroaster
no mohol som dat aj iny titulok, to je pravda

ale prave taketo veci vedia poriadne rozculit, kde je chyba? python, gtk, eroaster? no nic, zostanem asi pri mojom vydarenom burn-skripte...:-(
sudo apt-get install upstart-sysv
24.3.2004 19:40 coques | skóre: 21 | blog: FailSystem
Rozbalit Rozbalit vše Problem -- Eroaster
este taka mala rada...

ako som sa s tym babral, od tych cias mi nejde ukoncit aplikacie s Ctrl-C v konzole(ja viem chcelo by to dat na novy dotaz, ale bol by to docela trapas :-D),

velmi ale velmi mi ctrl-c chyba, tak help
sudo apt-get install upstart-sysv
24.3.2004 20:00 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Problem -- Eroaster
Problém je v Eroasteru, že chce tak zastaralé pygtk (IMHO je Gtk+ projekt, který dodnes nepřešel na Gtk+2, mrtvý).

Problém je v pygtk, že se moduly obou verzí jmenují stejně.

A problém je, že máš zřejmě pygtk v2 a potřebuješ (přesněji Eroaster potřebuje) pygtk v1.
24.3.2004 20:06 coques | skóre: 21 | blog: FailSystem
Rozbalit Rozbalit vše Problem -- Eroaster
no myslim, ze to mohlo byt sposobene aj tym ze som prednedavnom riesil gdesklets(zalozene na pythone), ktore, myslim potrebovali nejake nove veci s pythonu, ktore som v systeme nemal ...

to asi vela nepomozem tomu, aj tak dik
sudo apt-get install upstart-sysv

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.